ru.bitel.oss.kernel.directories.address.common.service

## Interface AddressService

-     public interface AddressService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<KeyValue<java.lang.String,java.lang.String>>` | `addressFormat(int houseId, int pod, int floor, java.lang.String flat, java.lang.String room, java.lang.String comment)`
    `void` | `areaDelete(int id)`
    `Area` | `areaGet(int id)`
    `java.util.List<Area>` | `areaList(int cityId, java.lang.String title)`
    `int` | `areaUpdate(Area b)`
    `void` | `cityDelete(int id)`
    `City` | `cityGet(int id)`
    `java.util.List<City>` | `cityList(int countryId, java.lang.String title)`
    `int` | `cityUpdate(City b)`
    `void` | `countryDelete(int id)`
    `Country` | `countryGet(int id)`
    `java.util.List<Country>` | `countryList(java.lang.String titile)`
    `int` | `countryUpdate(Country b)`
    `void` | `houseDelete(int id)`
    `House` | `houseGet(int id)`
    `java.util.List<House>` | `houseList(int cityId, int areaId, int streetId, int quarterId, int house, java.lang.String frac, Page page)`
    `int` | `houseUpdate(House b)`
    `java.lang.String` | `postIndexGet(int streetId, java.lang.String houseAndFrac, int house, java.lang.String frac)`
    `void` | `quarterDelete(int id)`
    `Quarter` | `quarterGet(int id)`
    `java.util.List<Quarter>` | `quarterList(int cityId, java.lang.String title)`
    `int` | `quarterUpdate(Quarter b)`
    `void` | `streetDelete(int id)`
    `Street` | `streetGet(int id)`
    `java.util.List<Street>` | `streetList(int cityId, java.lang.String title)`
    `java.util.List<Street>` | `streetSearch(int cityId, java.lang.String title, java.lang.String cityTitle, Page page)`
    `int` | `streetUpdate(Street b)`

- - ### Method Detail

    - #### countryGet

          Country countryGet(int id)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### countryList

          java.util.List<Country> countryList(java.lang.String titile)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### countryUpdate

          int countryUpdate(Country b)
                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### countryDelete

          void countryDelete(int id)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### cityGet

          City cityGet(int id)
                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### cityList

          java.util.List<City> cityList(int countryId,
                                        java.lang.String title)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### cityUpdate

          int cityUpdate(City b)
                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### cityDelete

          void cityDelete(int id)
                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### areaGet

          Area areaGet(int id)
                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### areaList

          java.util.List<Area> areaList(int cityId,
                                        java.lang.String title)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### areaUpdate

          int areaUpdate(Area b)
                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### areaDelete

          void areaDelete(int id)
                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### streetGet

          Street streetGet(int id)
                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### streetList

          java.util.List<Street> streetList(int cityId,
                                            java.lang.String title)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### streetSearch

          java.util.List<Street> streetSearch(int cityId,
                                              java.lang.String title,
                                              java.lang.String cityTitle,
                                              Page page)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### streetUpdate

          int streetUpdate(Street b)
                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### streetDelete

          void streetDelete(int id)
                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### quarterGet

          Quarter quarterGet(int id)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### quarterList

          java.util.List<Quarter> quarterList(int cityId,
                                              java.lang.String title)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### quarterUpdate

          int quarterUpdate(Quarter b)
                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### quarterDelete

          void quarterDelete(int id)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### postIndexGet

          java.lang.String postIndexGet(int streetId,
                                        java.lang.String houseAndFrac,
                                        int house,
                                        java.lang.String frac)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### houseGet

          House houseGet(int id)
                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### houseList

          java.util.List<House> houseList(int cityId,
                                          int areaId,
                                          int streetId,
                                          int quarterId,
                                          int house,
                                          java.lang.String frac,
                                          Page page)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### houseUpdate

          int houseUpdate(House b)
                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### houseDelete

          void houseDelete(int id)
                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addressFormat

          java.util.List<KeyValue<java.lang.String,java.lang.String>> addressFormat(int houseId,
                                                                                    int pod,
                                                                                    int floor,
                                                                                    java.lang.String flat,
                                                                                    java.lang.String room,
                                                                                    java.lang.String comment)
                                                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`